## ros-foxy-rqt-graph 1.1.3

=== debian/changelog ===
ros-foxy-rqt-graph (1.1.3-1focal) focal; urgency=high

  * Graph load/save into DOT file corrections for Python 3 (#62 <https://github.com/ros-visualization/rqt_graph/issues/62>)
  * Fix quiet filtering for node_topic graphs (#70 <https://github.com/ros-visualization/rqt_graph/issues/70>) (#71 <https://github.com/ros-visualization/rqt_graph/issues/71>)
  * Contributors: David V. Lu!!, skudryas

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 31 Jan 2022 08:00:00 -0000

ros-foxy-rqt-graph (1.1.2-1focal) focal; urgency=high

  * Add node name, topic name, and endpoint kind to the qos edge tooltip (#60 <https://github.com/ros-visualization/rqt_graph/issues/60>)
  * Contributors: Ivan Santiago Paunovic

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 12 Apr 2021 07:00:00 -0000

ros-foxy-rqt-graph (1.1.1-1focal) focal; urgency=high

  * Update maintainers for ROS2 branches (#55 <https://github.com/ros-visualization/rqt_graph/issues/55>)
  * Contributors: Michael Jeronimo

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 18 Mar 2021 07:00:00 -0000

ros-foxy-rqt-graph (1.1.0-1focal) focal; urgency=high

  * add edge tooltip with QoS of publishers and subscribers (#53 <https://github.com/ros-visualization/rqt_graph/issues/53>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Sep 2020 07:00:00 -0000

ros-foxy-rqt-graph (1.0.5-1focal) focal; urgency=high

  * install executable rqt_graph (#49 <https://github.com/ros-visualization/rqt_graph/issues/49>)
  * add setup.cfg with script install directories (#42 <https://github.com/ros-visualization/rqt_graph/issues/42>)
  * add pytest.ini so local tests don't display warning (#48 <https://github.com/ros-visualization/rqt_graph/issues/48>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Sep 2020 07:00:00 -0000

ros-foxy-rqt-graph (1.0.4-1focal) focal; urgency=high

  * skip removal of non-present tf connections (#40 <https://github.com/ros-visualization/rqt_graph/issues/40>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Jan 2020 08:00:00 -0000

ros-foxy-rqt-graph (1.0.3-1focal) focal; urgency=high

  * Add topic edges for the Nodes Only view mode. (#35 <https://github.com/ros-visualization/rqt_graph/issues/35>)
  * Fix node not found during refresh when namespace is not empty (#34 <https://github.com/ros-visualization/rqt_graph/issues/34>)
  * Contributors: Dirk Thomas, Michel Hidalgo, Xavier BROQUERE

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-foxy-rqt-graph (1.0.2-1focal) focal; urgency=high

  * fix typo that caused a crash when trying to load a dot file (#31 <https://github.com/ros-visualization/rqt_graph/issues/31>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 03 Oct 2019 07:00:00 -0000

ros-foxy-rqt-graph (1.0.0-1focal) focal; urgency=high

  * copy base rosgraph.impl.graph file (#23 <https://github.com/ros-visualization/rqt_graph/issues/23>)
  * port to ROS 2 (#22 <https://github.com/ros-visualization/rqt_graph/issues/22>)
  * autopep8 and gitignore (#19 <https://github.com/ros-visualization/rqt_graph/issues/19>)
  * replace str() by unicode() (#17 <https://github.com/ros-visualization/rqt_graph/issues/17>)
  * edge class is unhashable so cannot put into a set, use a list instead (#16 <https://github.com/ros-visualization/rqt_graph/issues/16>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 04 Feb 2019 08:00:00 -0000

ros-foxy-rqt-graph (0.4.10-1focal) focal; urgency=high

  * add nested subnamespaces and more options to hide or group topics (#13 <https://github.com/ros-visualization/rqt_graph/issues/13>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 22 May 2018 07:00:00 -0000

ros-foxy-rqt-graph (0.4.9-1focal) focal; urgency=high

  * fixes for Python 3 (#10 <https://github.com/ros-visualization/rqt_graph/issues/10>)
  * only show namespaces if all entities have a common non-empty base path (#8 <https://github.com/ros-visualization/rqt_graph/issues/8>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 27 Jul 2017 07:00:00 -0000

ros-foxy-rqt-graph (0.4.8-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 24 Apr 2017 07:00:00 -0000

ros-foxy-rqt-graph (0.4.7-1focal) focal; urgency=high

  * fix statistics are enabled, regression of 0.4.4 (#428 <https://github.com/ros-visualization/rqt_common_plugins/issues/428>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 02 Mar 2017 08:00:00 -0000

ros-foxy-rqt-graph (0.4.6-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Feb 2017 08:00:00 -0000

ros-foxy-rqt-graph (0.4.5-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Feb 2017 08:00:00 -0000

ros-foxy-rqt-graph (0.4.4-1focal) focal; urgency=high

  * use Python 3 compatible syntax (#421 <https://github.com/ros-visualization/rqt_common_plugins/pull/421>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 24 Jan 2017 08:00:00 -0000

ros-foxy-rqt-graph (0.4.3-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 02 Nov 2016 07:00:00 -0000

ros-foxy-rqt-graph (0.4.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Sep 2016 07:00:00 -0000

ros-foxy-rqt-graph (0.4.1-1focal) focal; urgency=high

  * fix mouse wheel delta in Qt 5 (#376 <https://github.com/ros-visualization/rqt_common_plugins/issues/376>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 16 May 2016 07:00:00 -0000

ros-foxy-rqt-graph (0.4.0-1focal) focal; urgency=high

  * Support Qt 5 (in Kinetic and higher) as well as Qt 4 (in Jade and earlier) (#359 <https://github.com/ros-visualization/rqt_common_plugins/pull/359>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 27 Apr 2016 07:00:00 -0000

ros-foxy-rqt-graph (0.3.13-1focal) focal; urgency=high

  * Remove repeated prefices from buttons
  * Prefix all node and topic names with n_ and t_ respectively, to allow dot to distinguish them
  * Contributors: Eric Wieser


